curl --request GET \
--url https://{host}/lucca-api/webhook-endpoints \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "webhook-endpoints",
"url": "https://example.ilucca.net/lucca-api/webhook-endpoints?limit=25",
"totalCount": 12,
"items": [
{
"id": "456789412",
"type": "webhook-endpoint",
"url": "https://example.ilucca.net/lucca-api/webhook-endpoints/93847DF7FDSF6D87SF",
"name": "Test",
"apiVersion": "2024-11-01",
"webhookUrl": "https://i-am-aweso.me/lucca-webhooks/123",
"topics": [
"employee.created",
"employee.updated",
"employee.deleted"
],
"status": "active",
"createdAt": "2023-04-23T09:23:54.001Z",
"lastUpdatedAt": "2023-04-23T09:23:54.001Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/webhook-endpoints?page=!98438df&limit=25"
}
},
"embedded": {}
}Returns a paginated list of webhook-endpoints.
curl --request GET \
--url https://{host}/lucca-api/webhook-endpoints \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "webhook-endpoints",
"url": "https://example.ilucca.net/lucca-api/webhook-endpoints?limit=25",
"totalCount": 12,
"items": [
{
"id": "456789412",
"type": "webhook-endpoint",
"url": "https://example.ilucca.net/lucca-api/webhook-endpoints/93847DF7FDSF6D87SF",
"name": "Test",
"apiVersion": "2024-11-01",
"webhookUrl": "https://i-am-aweso.me/lucca-webhooks/123",
"topics": [
"employee.created",
"employee.updated",
"employee.deleted"
],
"status": "active",
"createdAt": "2023-04-23T09:23:54.001Z",
"lastUpdatedAt": "2023-04-23T09:23:54.001Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/webhook-endpoints?page=!98438df&limit=25"
}
},
"embedded": {}
}Required OAuth 2.0 Scopes
webhook-endpoints.readonly
webhook-endpoints.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Only return webhook-endpoints that are at one of the given statuses.
active, suspended, inactive ["active"]Only return webhook-endpoints for a given authorized application.
Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
A collection of webhook-endpoint resources.
"webhook-endpoints"Total number of webhook-endpoint resources across all pages that satisfy query parameters.
x >= 0Paginated list of webhook-endpoint resources.
100Show child attributes
Links to related resources
Show child attributes
No embedded resources on a webhook-endpoint(s) response. Expect an empty object if embedded are requested.
Was this page helpful?